Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core.logging
Class Log4jKettleLayout

    java.lang.Object
      org.apache.log4j.Layout
          org.pentaho.di.core.logging.Log4jKettleLayout

All Implemented Interfaces:
  org.apache.log4j.spi.OptionHandler, Log4JLayoutInterface

    public class Log4jKettleLayout

extends org.apache.log4j.Layout
implements Log4JLayoutInterface

Field Summary
`static String` | `ERROR_STRING`

Fields inherited from class org.apache.log4j.Layout
`LINE_SEP, LINE_SEP_LEN`

Constructor Summary
`Log4jKettleLayout()`
`Log4jKettleLayout(boolean addTime)`

Method Summary
`void` | `activateOptions()`
`String` | `format(org.apache.log4j.spi.LoggingEvent event)`
`boolean` | `ignoresThrowable()`
`boolean` | `isTimeAdded()`
`void` | `setTimeAdded(boolean addTime)`

Methods inherited from class org.apache.log4j.Layout
`getContentType, getFooter, getHeader`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_STRING

    public static final String ERROR_STRING

See Also:
  Constant Field Values

Constructor Detail

### Log4jKettleLayout

    public Log4jKettleLayout()

### Log4jKettleLayout

    public Log4jKettleLayout(boolean addTime)

Method Detail

### format

    public String format(org.apache.log4j.spi.LoggingEvent event)

  Specified by:
    `format` in interface `Log4JLayoutInterface`
  Specified by:
    `format` in class `org.apache.log4j.Layout`

### ignoresThrowable

    public boolean ignoresThrowable()

  Specified by:
    `ignoresThrowable` in interface `Log4JLayoutInterface`
  Specified by:
    `ignoresThrowable` in class `org.apache.log4j.Layout`

### activateOptions

    public void activateOptions()

  Specified by:
    `activateOptions` in interface `org.apache.log4j.spi.OptionHandler`
  Specified by:
    `activateOptions` in interface `Log4JLayoutInterface`

### isTimeAdded

    public boolean isTimeAdded()

  Specified by:
    `isTimeAdded` in interface `Log4JLayoutInterface`

### setTimeAdded

    public void setTimeAdded(boolean addTime)

  Specified by:
    `setTimeAdded` in interface `Log4JLayoutInterface`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD